跳至內容

Hi3D 3D Part Splitter

整合

模型 id hitem3d/hi3d/split
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hitem3d/hi3d/split?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.40 400 API 點數 在此頁面執行

取得 API 金鑰
Hitem3D 3D #3d-to-3d

將 3D 模型拆分為獨立部件,支援人形範本與關節或一般細分程度

Hitem3D · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

透過 URL 提供要分割的模型,檔案格式為 GLB、STL 或 OBJ,大小最多 200 MB。

進階 model · part · joint · level · export_format · enable_safety_checker
model 預設 character

模型分割方法:任何模型的依粒度分割使用 'general';範本式人形分割使用 'character',並允許選擇性關節。

part 預設 a

模型為 'character' 時的分割範本:'a' 產生 6 個部分;'b' 產生 5 個;'c' 產生不含頭部的 4 個;'d' 產生含頭部的 4 個;'e' 產生 3 個;'f' 產生 2 個。

joint 預設 ball

模型為 'character' 時,插入部分之間的關節類型。

level 預設 medium

模型為 'general' 時的分割粒度。

export_format 預設 glb

生成模型的輸出格式選擇;目前使用角色分割時限於 'glb'。

POST /run/hitem3d/hi3d/split?wait=20 報價 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hitem3d/hi3d/split?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Hi3D 3D Part Splitter

將模型(GLB、STL 或 OBJ,最大 200MB)分割成多個部分。在角色模式中,範本 a 到 f 會產生 6 到 2 個部分,並可在部分之間加入球形或燕尾接頭。在一般模式中,`level` 設定低、中或高粒度。角色分割目前僅匯出 glb。

參數

名稱類型 預設值允許值 說明
mesh_url必填
類型string
透過 URL 提供要分割的模型,檔案格式為 GLB、STL 或 OBJ,大小最多 200 MB。
model選填
類型enum
預設值character
charactergeneral
模型分割方法:任何模型的依粒度分割使用 'general';範本式人形分割使用 'character',並允許選擇性關節。
part選填
類型enum
預設值a
abcdef
模型為 'character' 時的分割範本:'a' 產生 6 個部分;'b' 產生 5 個;'c' 產生不含頭部的 4 個;'d' 產生含頭部的 4 個;'e' 產生 3 個;'f' 產生 2 個。
joint選填
類型enum
預設值ball
noneballdovetail
模型為 'character' 時,插入部分之間的關節類型。
level選填
類型enum
預設值medium
lowmediumhigh
模型為 'general' 時的分割粒度。
export_format選填
類型enum
預設值glb
glbobjstlfbxusdz
生成模型的輸出格式選擇;目前使用角色分割時限於 'glb'。
enable_safety_checker選填
類型boolean
預設值true
為 true 時,在處理前對輸入啟用安全檢查。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/split",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
model_mesh
object {url, content_type, file_name, file_size}包含生成 3D 模型的檔案。
thumbnail
object {url, content_type, file_name, file_size} | null可用時提供的模型預覽圖像。

更多模型:3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/hitem3d/hi3d/split.md. 所有模型與指南: https://doitong.com/developers/llms.txt